{{- if eq .Values.IMAGINARY_ENABLED "yes" }}
apiVersion: v1
kind: Service
metadata:
  annotations:
    kompose.version: 1.35.0 (9532ceef3)
  labels:
    io.kompose.service: nextcloud-aio-imaginary
  name: nextcloud-aio-imaginary
  namespace: "{{ .Values.NAMESPACE }}"
spec:
  ipFamilyPolicy: PreferDualStack
  ports:
    - name: "9000"
      port: 9000
      targetPort: 9000
  selector:
    io.kompose.service: nextcloud-aio-imaginary
{{- end }}
